$(document).ready(function(){
	    inicializarBotones();
	    
	    
	    if($("#idApartado").val() == "null")
	    {
	    	$('form :input').prop( "disabled", false);	    	
	    	$("#btnGuardar").text("Notificar SAP");
	    }	    	       	    	    	    
	    else if($("#amortizable").val() == "No Amortizable")
	    {	    	
	    	$('#des').prop( "disabled", false );
	    	$("#btnGuardar").text("Guardar");
	    	$('#amortizableSelect').prop( "disabled", true );	    		    	
	    }	       	    	    		    		    		   
	    else
	    {
	    	$('form :input').prop( "disabled", true );
	    	$("#btnGuardar").hide();
	    }	    		    	    
	    
	    $("#amortizableSelect").change(function()   
	    {
	       	if($("#amortizableSelect").val() == "No Amortizable")
	       		$("#btnGuardar").text("Guardar");
	    	else
	    		$("#btnGuardar").text("Notificar SAP");
	    });
});

function inicializarBotones(){
	$("#btnGuardar").click(function()   
	{		
		if($("#des").val() != "")
		{
			if($("#des").val().length <= 35)
			{
				if($("#amortizableSelect").val() == "No Amortizable")
				{
					var id = $("#idApartado").val() !=null ? $("#idApartado").val() : null;
					$.post( contextPath + '/catalogos/bolsas/indexgenerarApartado.action', {descripcion : $("#des").val(), amortizable: $("#amortizableSelect").val(), idApartado:id})		
					.done(function( response ) 
					{										
						if(response.idApartado == null)				
						   showError(response.mensaje);					      
						else
						{
							$('#amortizableSelect').prop( "disabled", true );
							showMessage("Se ha guardado correctamente el apartado.");
							$("#idApartado").val(response.idApartado);
						}										   								   			       		  
					});	
				}					
				else
				{
					$("#notiSap").find("div.modal-body").html("&#191;Est&aacute; seguro que desea Notificar a SAP el apartado: "+$("#des").val()+" &#63;");
					$("#notiSap").modal("show");
				}
			}		
			else
				showError("Nombre del apartado no puede exceder 35 caracteres.");
		}
		else		
			showError("No se ha registrado el nombre del apartado.");					
	});
		
	$("#btnAceptar").click(function()   
	{	
		$("#labelBuscando").show();
		$("#btnGuardar").prop("disabled", true);
		$("#notiSap").modal("hide");
		var id = $("#idApartado").val() !=null ? $("#idApartado").val() : null;
		$.post( contextPath + '/catalogos/bolsas/indexgenerarApartado.action', {descripcion : $("#des").val(), amortizable: $("#amortizableSelect").val(), idApartado:id})		
		.done(function( response ) 
		{										
			if(response.idApartado == null)
			{
				showError(response.mensaje);
				$("#labelBuscando").hide();
				$("#btnGuardar").prop("disabled", false);
			}							   					      
			else
			{
				debugger
				$("#btnGuardar").hide();				
				$('form :input').prop( "disabled", true);
				showMessage("Se ha guardado correctamente el apartado.");
				$("#idApartado").val(response.idApartado);
				$("#labelBuscando").hide();
				$("#btnGuardar").prop("disabled", false);
			}										   								   			       		  
		});	
		
	});				   
}